Download it now!
Bug 50507 - zoom slider always looks like disabled, too little contrast (OS X only)
Summary: zoom slider always looks like disabled, too little contrast (OS X only)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All Mac OS X (All)
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicUI
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2012-05-30 08:40 UTC by Roman Eisele
Modified: 2018-04-15 16:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
2015-05-02 LO 5.0 nightly (7.23 KB, image/jpeg)
2015-05-02 16:20 UTC, steve -_-
Details
New design (8.24 KB, image/png)
2018-04-15 15:01 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Eisele 2012-05-30 08:40:19 UTC
When I compare the new look (since 2012-05-22) of the zoom slider at the bottom of a LibreOffice Writer window with the old (3.5.x) look, I get the impression that the zoom slider now always looks like disabled. I understand that the new look of the should be "Simpler, and more light-weight" (as stated in the committ message

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc1fd830be6165c364805c2ad09854ecc8e863a6

). But at least to me, the new look seems a bit "too light-weight": these light shades of grey suggest to me (as a long-time MacOS X user) that this control is disabled and can't be used.

You can see this on my Writer screenshots attached to bug 49914:
* old look (3.5.4):      attachment 61808 [details]
* new look (3.6 Master): attachment 62061 [details]


To enumerate en detail what's looking wrong to me:

(1.) The main problem is the actual zoom slider, i.e. the horizontal line; I always think that there is missing a darker grey line somewhere, as expected in an enabled control.

(2.) It is also possible that the slide zoom button (the round button which you move with the mouse) just needs to be darker on MacOS.

(3.) A minor problem may be the plus (+) and minus (-) signs at the left and right of the zoom slider; if they are enabled, I would expect them to be a bit darker, more like the dark grey of the triangular arrows at the bottom of the vertical scroll bar at the right of the window.


Please note:
It is still possible that this new look is completely intentional, and that my doubts have already been considered and rejected. I don't know this, only the original designer (Mirek M.) and the programmer (Kendy) can tell us. If this is the case, you can close this bug, no problem!

But I want to report it, and ask you to think a while about it before you close it, because
(a) it is easily possible that there is at least missing a dark grey line somewhere;
(b) there are some differences between what users of different operating systems expect, here in regard of how an enabled control should look like, and therefore, it is possible that a design which works completely well on Linux needs some little changes for MacOS X (and maybe for Windows?).
Comment 1 Roman Eisele 2012-05-30 08:42:38 UTC
@Kendy:
This is the second of my reports about visual problems related to the new UI
look on MacOS X. I add your address to the CC list.

I will send you a separate mail with a complete list of all my observations
(including links to all bug reports) when I am done. Thank you very much in
advance!
Comment 2 Uwe Altmann 2012-10-09 13:15:24 UTC
This is indeed a valid statement.
Comment 3 Jorendc 2014-02-06 00:01:38 UTC
This is due the image of the slider button, defined here: http://opengrok.libreoffice.org/xref/core/svx/source/stbctrls/stbctrls.src#292

It looks like it is used on all platforms. Will have a look at Windows and Linux first. If it looks 'quite inactive' over there too, we might change it for all platforms. Otherwise for Mac OSX only.
Comment 4 Joel Madero 2015-05-02 15:43:59 UTC Comment hidden (obsolete)
Comment 5 steve -_- 2015-05-02 16:20:03 UTC
Created attachment 115272 [details]
2015-05-02 LO 5.0 nightly
Comment 6 Buovjaga 2015-05-02 16:23:36 UTC
Windows has a darker slider line.
Low contrast is bad for users: http://contrastrebellion.com/
Comment 7 QA Administrators 2016-09-20 09:37:45 UTC Comment hidden (obsolete)
Comment 8 eisa01 2018-03-29 20:24:37 UTC
Still present, needs UX advice if this is a valid concern or not
Comment 9 Heiko Tietze 2018-04-07 15:35:55 UTC
Yes, it is - and probably easy to hack. As the slider is completely self-drawn it will never fit into the system theme and look and feel. So we should go with just dark gray for the lines and black for the interactive elements (+/- "button" and thumb).

Code pointer might be svx/source/stbctrls/zoomctrl.cxx 

This change will affect all platforms and should be verified carefully.
Comment 10 Heiko Tietze 2018-04-15 14:58:17 UTC
Patch https://gerrit.libreoffice.org/#/c/52912/ draws the slider in darkshadow, with a tiny lightshadow underneath.
Comment 11 Heiko Tietze 2018-04-15 15:01:03 UTC
Created attachment 141382 [details]
New design
Comment 12 Commit Notification 2018-04-15 16:53:17 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d10bcb23624db11ca6445f5cb33a28660f16fd4

tdf#50507 - zoom slider always looks like disabled

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.